| TagLib 1.13 |  |

Public Types | Public Member Functions | Friends | List of all members
TagLib::XM::Properties Class Reference

`#include <xmproperties.h>`

Inheritance diagram for TagLib::XM::Properties:
[legend]
Collaboration diagram for TagLib::XM::Properties:
[legend]

## Public Types
enum | { LinearFreqTable = 1 }
Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }

## Public Member Functions
| Properties (AudioProperties::ReadStyle propertiesStyle)
virtual | ~Properties ()
int | length () const
int | lengthInSeconds () const
int | lengthInMilliseconds () const
int | bitrate () const
int | sampleRate () const
int | channels () const
unsigned short | lengthInPatterns () const
unsigned short | version () const
unsigned short | restartPosition () const
unsigned short | patternCount () const
unsigned short | instrumentCount () const
unsigned int | sampleCount () const
unsigned short | flags () const
unsigned short | tempo () const
unsigned short | bpmSpeed () const
void | setChannels (int channels)
void | setLengthInPatterns (unsigned short lengthInPatterns)
void | setVersion (unsigned short version)
void | setRestartPosition (unsigned short restartPosition)
void | setPatternCount (unsigned short patternCount)
void | setInstrumentCount (unsigned short instrumentCount)
void | setSampleCount (unsigned int sampleCount)
void | setFlags (unsigned short flags)
void | setTempo (unsigned short tempo)
void | setBpmSpeed (unsigned short bpmSpeed)
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
virtual int | length () const =0
int | lengthInSeconds () const
int | lengthInMilliseconds () const
virtual int | bitrate () const =0
virtual int | sampleRate () const =0
virtual int | channels () const =0

## Friends
class | File

## Additional Inherited Members
Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Flag bits.

Enumerator
LinearFreqTable |

## Constructor & Destructor Documentation

## ◆ Properties()

TagLib::XM::Properties::Properties | ( | AudioProperties::ReadStyle | propertiesStyle | ) |

## ◆ ~Properties()

virtual TagLib::XM::Properties::~Properties | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ bitrate()

int TagLib::XM::Properties::bitrate | ( |  | ) | const
| virtual

Returns the most appropriate bit rate for the file in kb/s. For constant bitrate formats this is simply the bitrate of the file. For variable bitrate formats this is either the average or nominal bitrate.

Implements TagLib::AudioProperties.

## ◆ bpmSpeed()

unsigned short TagLib::XM::Properties::bpmSpeed | ( |  | ) | const

## ◆ channels()

int TagLib::XM::Properties::channels | ( |  | ) | const
| virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

## ◆ flags()

unsigned short TagLib::XM::Properties::flags | ( |  | ) | const

## ◆ instrumentCount()

unsigned short TagLib::XM::Properties::instrumentCount | ( |  | ) | const

## ◆ length()

int TagLib::XM::Properties::length | ( |  | ) | const
| virtual

Returns the length of the file in seconds.

Implements TagLib::AudioProperties.

## ◆ lengthInMilliseconds()

int TagLib::XM::Properties::lengthInMilliseconds | ( |  | ) | const

## ◆ lengthInPatterns()

unsigned short TagLib::XM::Properties::lengthInPatterns | ( |  | ) | const

## ◆ lengthInSeconds()

int TagLib::XM::Properties::lengthInSeconds | ( |  | ) | const

## ◆ patternCount()

unsigned short TagLib::XM::Properties::patternCount | ( |  | ) | const

## ◆ restartPosition()

unsigned short TagLib::XM::Properties::restartPosition | ( |  | ) | const

## ◆ sampleCount()

unsigned int TagLib::XM::Properties::sampleCount | ( |  | ) | const

## ◆ sampleRate()

int TagLib::XM::Properties::sampleRate | ( |  | ) | const
| virtual

Returns the sample rate in Hz.

Implements TagLib::AudioProperties.

## ◆ setBpmSpeed()

void TagLib::XM::Properties::setBpmSpeed | ( | unsigned short | bpmSpeed | ) |

## ◆ setChannels()

void TagLib::XM::Properties::setChannels | ( | int | channels | ) |

## ◆ setFlags()

void TagLib::XM::Properties::setFlags | ( | unsigned short | flags | ) |

## ◆ setInstrumentCount()

void TagLib::XM::Properties::setInstrumentCount | ( | unsigned short | instrumentCount | ) |

## ◆ setLengthInPatterns()

void TagLib::XM::Properties::setLengthInPatterns | ( | unsigned short | lengthInPatterns | ) |

## ◆ setPatternCount()

void TagLib::XM::Properties::setPatternCount | ( | unsigned short | patternCount | ) |

## ◆ setRestartPosition()

void TagLib::XM::Properties::setRestartPosition | ( | unsigned short | restartPosition | ) |

## ◆ setSampleCount()

void TagLib::XM::Properties::setSampleCount | ( | unsigned int | sampleCount | ) |

## ◆ setTempo()

void TagLib::XM::Properties::setTempo | ( | unsigned short | tempo | ) |

## ◆ setVersion()

void TagLib::XM::Properties::setVersion | ( | unsigned short | version | ) |

## ◆ tempo()

unsigned short TagLib::XM::Properties::tempo | ( |  | ) | const

## ◆ version()

unsigned short TagLib::XM::Properties::version | ( |  | ) | const

## Friends And Related Function Documentation

## ◆ File

friend class File
| friend

The documentation for this class was generated from the following file:

- xmproperties.h